java

Paul Howarth paul at city-fan.org
Tue Jun 28 11:09:18 UTC 2005


Christian Kalkhoff wrote:
> Hi Peter,
> 
> i didn´t had a problem building the rpm but installing it. I had to 
> change the spec file.
> 
> Search for the line
> 
> Requires:       %{_libdir}/libodbc.so, %{_libdir}/libodbcinst.so
> 
> and change to
> 
> Requires:       %{_libdir}/libodbc.so, %{_libdir}/libodbcinst.so.1
> 
> Seems that the file has been renamed in FC4. After taking that action i 
> was able to install ALL generated packages.

%{_libdir}/libodbcinst.so is provided by unixODBC-devel-2.2.11-1 in FC4:

$ ls -l /usr/lib/libodbcinst.so
lrwxrwxrwx  1 root root 20 Jun 15 15:05 /usr/lib/libodbcinst.so -> 
libodbcinst.so.1.0.0
$ rpm -qf /usr/lib/libodbcinst.so
unixODBC-devel-2.2.11-1

So there should be no need to edit the spec file really.

Paul.




More information about the users mailing list